io.vertx.reactivex.core.dns

## Class SrvRecord

- java.lang.Object
- - io.vertx.reactivex.core.dns.SrvRecord

- All Implemented Interfaces:
    io.vertx.lang.rx.RxDelegate

      public class SrvRecord
      extends Object
      implements io.vertx.lang.rx.RxDelegate

  Represent a Service-Record (SRV) which was resolved for a domain.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<SrvRecord>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SrvRecord(Object delegate)`
    `SrvRecord(SrvRecord delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `SrvRecord` | `getDelegate()`
    `int` | `hashCode()`
    `String` | `name()` Returns the name for the server being queried.
    `static SrvRecord` | `newInstance(SrvRecord arg)`
    `int` | `port()` Returns the port the service is running on.
    `int` | `priority()` Returns the priority for this service record.
    `String` | `protocol()` Returns the protocol for the service being queried (i.e.
    `String` | `service()` Returns the service's name (i.e.
    `String` | `target()` Returns the name of the host for the service.
    `String` | `toString()`
    `int` | `weight()` Returns the weight of this service record.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<SrvRecord> __TYPE_ARG

  - ### Constructor Detail

    - #### SrvRecord

          public SrvRecord(SrvRecord delegate)

    - #### SrvRecord

          public SrvRecord(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public SrvRecord getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### priority

          public int priority()

      Returns the priority for this service record.
      Returns:

    - #### weight

          public int weight()

      Returns the weight of this service record.
      Returns:

    - #### port

          public int port()

      Returns the port the service is running on.
      Returns:

    - #### name

          public String name()

      Returns the name for the server being queried.
      Returns:

    - #### protocol

          public String protocol()

      Returns the protocol for the service being queried (i.e. "_tcp").
      Returns:

    - #### service

          public String service()

      Returns the service's name (i.e. "_http").
      Returns:

    - #### target

          public String target()

      Returns the name of the host for the service.
      Returns:

    - #### newInstance

          public static SrvRecord newInstance(SrvRecord arg)

Copyright © 2025 Eclipse. All rights reserved.